Subject: Re: bug#76288: Infinite reboot loop due to mcron package changes

From: Tomas Volf <[email-masked]>
Date: Fri, 14 Feb 2025 21:20:30 +0100

Hello,

thank you for the bug report.

"Murilo" via Bug reports for GNU Guix <[email-masked]> writes:

> Hi, I (and a friend too) have been getting an infinite reboot loop when trying
> to boot into guix system.
> Going back a generation fixes it, but doesn't solve the issue as I cannot
> upgrade guix any further.
>
> I could bisect the issue to e3459bff0039fbaaaf521fb8c8d406dc29986a8e.
> I don't know what causes it, but I don't have such
> '/run/privileged/bin/sendmail' file in my system (and, quiet honestly, I don't
> want to have it, to keep the system minimal).

Do you get any error message or any indication why the reboot happens?
I did not manage to reproduce it locally, and single shepherd service
(mcron) failing should *not* lead to system reboot.

>
> It worked just fine before that commit, and I can confirm that reverting it on
> latest guix solves the issue for me.

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.